%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           lekhonee-gnome
Version:        0.8
Release:        2%{?dist}
Summary:        The gnome frontend for lekhonee wordpress client

Group:          Applications/Internet
License:        GPLv2+
URL:            http://fedorahosted.org/lekhonee
Source0:        https://fedorahosted.org/releases/l/e/lekhonee/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools, PyQt4-devel, desktop-file-utils, python-distutils-extra, intltool
Requires:       gnome-python2-gtkspell, pygtksourceview, pywebkitgtk, lekhonee-lib, python-magic


%description
Wordpress desktop client frontend for Gnome


%prep
%setup -q


%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1  --root $RPM_BUILD_ROOT

desktop-file-install                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications           \
%{buildroot}/%{_datadir}/applications/lekhonee-gnome.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENSE
%{_bindir}/lekhonee-gnome
%{_datadir}/lekhonee-gnome/gnome-frontend/*
%{_datadir}/pixmaps/lekhonee-gnome.png
%{_datadir}/applications/lekhonee-gnome*.desktop
%{python_sitelib}/*.egg-info


%changelog
* Mon Nov 02 2009 Kushal Das <kushal@fedoraproject.org> 0.8-2
- added BR of python-distutils-extra, intltool

* Thu Oct 29 2009 Kushal Das <kushal@fedoraproject.org> 0.8-1
- Initial release
